EventBase::getMethod
EventBase::gotExit
EventBase
PHP Manual

# EventBase::getTimeOfDayCached

(PECL event >= 1.2.6-beta)

EventBase::getTimeOfDayCached — Returns the current event base time

### Description

public double EventBase::getTimeOfDayCached ( void )

On success returns the current time(as returned by gettimeofday() ), looking at the cached value in base if possible, and calling gettimeofday() or clock_gettime() as appropriate if there is no cached time.

### Parameters

This function has no parameters.

### Return Values

Returns the current event base time. On failure returns `NULL`.

EventBase::getMethod
EventBase::gotExit
EventBase
PHP Manual